# Method: members.list

Retrieves a paginated list of all members in a group. This method times out after 60 minutes. For more information, see [Troubleshoot error codes](https://developers.google.com/workspace/admin/directory/v1/guides/troubleshoot-error-codes).

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/groups/{groupKey}/members`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `groupKey` | `string` Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID. |

### Query parameters

| Parameters ||
|---|---|
| `includeDerivedMembership` | `boolean` Whether to list indirect memberships. Default: false. |
| `maxResults` | `integer` Maximum number of results to return. Max allowed value is 200. |
| `pageToken` | `string` Token to specify next page in the list. |
| `roles` | `string` The `roles` query parameter allows you to retrieve group members by role. Allowed values are `OWNER`, `MANAGER`, and `MEMBER`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "members": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/members#Member`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `members[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/members#Member`)`` A list of member objects. |
| `nextPageToken` | `string` Token used to access next page of this result. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/groups/`
- `
  https://www.googleapis.com/auth/admin.directory.group`
- `
  https://www.googleapis.com/auth/admin.directory.group.member`
- `
  https://www.googleapis.com/auth/admin.directory.group.member.readonly`
- `
  https://www.googleapis.com/auth/admin.directory.group.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).